<template>
    <main class="main" role="main">
        <Section>
            <Intro />
        </Section>
        <Section
            :title="content.skills.ru.title"
            :description="content.skills.ru.description">

            <SkillCard
                v-for="skill in portfolio.ru.skills"
                :key="skill.id"
                :skill="skill" />
        </Section>
    </main>
</template>

<script>
import Section   from '~/components/Section/Section.vue'
import Intro     from '~/components/Intro/Intro.vue'
import SkillCard from '~/components/SkillCard/SkillCard.vue'

export default {
    data () {
        return {
            portfolio: {
                ru: {
                    name: "Назар Линовецкий",
                    description: "Здесь нужно выводить описание среднего размера, примерное такой же длины, как это тестовое описание. Думай об этом как о возможности представить раздел. На сайте портфолио так думаю стоит делать.",
                    skills: [
                        {
                            title: "UI/UX Design",
                            imageUrl: "/"
                        },
                        {
                            title: "JavaScript",
                            imageUrl: "/"
                        },
                        {
                            title: "Node.js",
                            imageUrl: "/"
                        },
                        {
                            title: "PSA / RESTful API",
                            imageUrl: "/"
                        },
                        {
                            title: "Vue.js / Nuxt.js",
                            imageUrl: "/"
                        },
                        {
                            title: "WordPress",
                            imageUrl: "/"
                        }
                    ]
                },
                en: {
                    name: "Nazar Lynovetsky",
                    description: "Javascript Architect",
                    skills: [
                        {
                            title: "UI/UX Проектирование",
                            imageUrl: "/"
                        },
                        {
                            title: "JavaScript",
                            imageUrl: "/"
                        },
                        {
                            title: "Node.js",
                            imageUrl: "/"
                        },
                        {
                            title: "PSA / RESTful API",
                            imageUrl: "/"
                        },
                        {
                            title: "Vue.js / Nuxt.js",
                            imageUrl: "/"
                        },
                        {
                            title: "WordPress",
                            imageUrl: "/"
                        }
                    ]
                },
                ua: {
                    name: "Назар Лiновецький",
                    description: "Javascript архiтектор",
                    skills: [
                        {
                            title: "UI/UX Проектування",
                            imageUrl: "/"
                        },
                        {
                            title: "JavaScript",
                            imageUrl: "/"
                        },
                        {
                            title: "Node.js",
                            imageUrl: "/"
                        },
                        {
                            title: "PSA / RESTful API",
                            imageUrl: "/"
                        },
                        {
                            title: "Vue.js / Nuxt.js",
                            imageUrl: "/"
                        },
                        {
                            title: "WordPress",
                            imageUrl: "/"
                        }
                    ]
                }
            },
            content: {
                skills: {
                    ru: {
                        title: "Технологии, с которыми я люблю работать",
                        description: "Здесь нужно выводить описание среднего размера, примерное такой же длины, как это тестовое описание. Думай об этом как о возможности представить раздел. На сайте портфолио так думаю стоит делать."
                    },
                    en: {
                        title: "I love work with this stuff"
                    },
                    ua: {
                        title: "Я профi у наступних штуках"
                    }
                }
            }
        }
    },
    components: {
        Section,
        Intro,
        SkillCard
    }
}
</script>

<style>
</style>
